import { useUserStore } from '@/store'
// import { ROLE_OPERATOR, ROLE_REPAIR, ROLE_LEADER, ROLE_LINE, ROLE_SUPER_ADMIN } from '@/utils/constants'

/**
 * 超级管理员
 */
export const ROLE_SUPER_ADMIN = 'superadmin'
/**
 * 领导
 */
export const ROLE_LEADER = 'leader'
/**
 * 操作员
 */
export const ROLE_OPERATOR = 'operator'
/**
 * 线长
 */
export const ROLE_LINE = 'line'
/**
 * 维修员
 */
export const ROLE_REPAIR = 'repair'

/**
 * 设备管理员
 */
export const ROLE_EQU_ADMIN = 'equadmin'

/**
 * 登录角色是操作工或维修工
 */
export const isLineOrRepair = () => {
  const roles = useUserStore()?.userInfo?.roles || []
  return roles.includes(ROLE_LINE) || roles.includes(ROLE_REPAIR)
}


export const isOperator = () => {
  const roles = useUserStore()?.userInfo?.roles || []
  return roles.includes(ROLE_OPERATOR)
}

export const isRepair = () => {
  const roles = useUserStore()?.userInfo?.roles || []
  return roles.includes(ROLE_REPAIR)
}

export const isLine = () => {
  const roles = useUserStore()?.userInfo?.roles || []
  return roles.includes(ROLE_LINE)
}

export const isSuperAdmin = () => {
  const roles = useUserStore()?.userInfo?.roles || []
  return roles.includes(ROLE_SUPER_ADMIN)
}

export const isEquAdmin = () => {
  const roles = useUserStore()?.userInfo?.roles || []
  return roles.includes(ROLE_EQU_ADMIN)
}

/**
 * 登录角色是操作工或维修工
 */
export const isLeader = () => {
  const roles = useUserStore()?.userInfo?.roles || []
  return (
    roles.includes(ROLE_SUPER_ADMIN) || roles.includes(ROLE_EQU_ADMIN) || roles.includes(ROLE_LEADER)
  )
}

export const loginRoleName = () => {
  const roles = useUserStore()?.userInfo?.roles || []
  if (roles.includes(ROLE_SUPER_ADMIN)) {
    return '超级管理员'
  }
  if (roles.includes(ROLE_LEADER)) {
    return '管理员'
  }
  if (roles.includes(ROLE_OPERATOR)) {
    return '操作员'
  }
  if (roles.includes(ROLE_LINE)) {
    return '线长'
  }
  if (roles.includes(ROLE_REPAIR)) {
    return '维修工'
  }
  if (roles.includes(ROLE_EQU_ADMIN)) {
    return '设备管理员'
  }
}
